import React from 'react';
import { Routes, Route } from "react-router-dom";
import { BreakpointProvider } from './components/Breakpoint'
import { Layout } from './components/Layout'
import { Home } from './pages/activation/home'
import { Login } from './pages/activation/login'

function App() {
	return (
		<BreakpointProvider>
			<Routes>
				<Route path="/" element={<Layout />}>
					<Route index element={<Home />} />
					<Route path="/login" element={<Login />} />
				</Route>
			</Routes>
		</BreakpointProvider>
	);
}

export default App;
